Name: gnugk
Version: 2.2.4
Release: alt1.1.0.1.1
Summary: OpenH323 Gatekeeper - The GNU Gatekeeper
License: GPL
Group: System/Servers
URL: http://www.gnugk.org
Source0: %name-%version.tar.bz2
Source1: %name-logrotate
Source2: %name-init
Source3: %name-sysconfig
Source4: pwlib-1.10.0.tar.bz2
Source5: openh323-1.18.0.tar.bz2
Source6: gnugk.sh

Patch0: %name-2.2.2-exceptions.patch

# Automatically added by buildreq on Mon Jan 10 2005
BuildRequires: gcc-c++ libMySQL-devel libalsa-devel flex
BuildRequires: libexpat-devel libldap-devel libpq-devel
BuildRequires: libsasl2-devel libssl-devel libstdc++-devel
BuildRequires: postgresql-devel zlib-devel libSDL-devel sgml-tools OpenSP

Provides: /usr/sbin/gnugk

%description
The gatekeeper controls H.323 compatible clients (like ohphone) and can
be used to set up a complete internet telephony system.

%package nosql
Summary: OpenH323 Gatekeeper - The GNU Gatekeeper (without SQL support)
Group: System/Servers
Requires: %name = %version-%release

%description nosql
The gatekeeper controls H.323 compatible clients (like ohphone) and can
be used to set up a complete internet telephony system.

%package mysql
Summary: OpenH323 Gatekeeper - The GNU Gatekeeper (with MySQL support)
Group: System/Servers
Requires: %name = %version-%release

%description mysql
The gatekeeper controls H.323 compatible clients (like ohphone) and can
be used to set up a complete internet telephony system.

%package pgsql
Summary: OpenH323 Gatekeeper - The GNU Gatekeeper (with PostgreSQL support)
Group: System/Servers
Requires: %name = %version-%release

%description pgsql
The gatekeeper controls H.323 compatible clients (like ohphone) and can
be used to set up a complete internet telephony system.

%package doc
Summary: OpenH323 Gatekeeper - The GNU Gatekeeper (documentation)
Group: System/Servers

%description doc
The gatekeeper controls H.323 compatible clients (like ohphone) and can
be used to set up a complete internet telephony system.

%define pwlibdir    $RPM_BUILD_DIR/pwlib
%define openh323dir $RPM_BUILD_DIR/openh323

%ifarch x86_64
%define objdir		obj_linux_x86_64_r
%else
%define objdir		obj_linux_x86_r
%endif

%prep
%setup -q -n %name-%version
%patch0 -p1

pushd $RPM_BUILD_DIR
    tar xfj %SOURCE4
    tar xfj %SOURCE5
    sed -i '/linux\/compiler\.h/d' openh323/include/ixjlid.h
popd
export P_SHAREDLIB=1
pushd %pwlibdir
    ./configure --disable-alsa --disable-video --disable-plugins
    make
popd
pushd %openh323dir
    export PWLIBDIR=%pwlibdir
    ./configure --disable-video
popd

%build
autoconf --force
aclocal

export PTLIB=-lpt_linux_x86_r_s
export PWLIBDIR=%pwlibdir
export OPENH323DIR=%openh323dir
export OH323_LIBDIR=%openh323dir

%configure \
    --disable-mysql \
    --disable-pgsql

export CPPFLAGS=-I/usr/include

%__make \
    PWLIB_BUILD=1 \
    opt addpasswd

pushd %objdir
    mv gnugk gnugk-nosql
    mv addpasswd addpasswd-nosql
popd

%__make clean

%configure \
    --disable-pgsql
%__make \
    PWLIB_BUILD=1 \
    opt addpasswd

pushd %objdir
    mv gnugk gnugk-mysql
    mv addpasswd addpasswd-mysql
popd

%__make clean

%configure \
    --disable-mysql
%__make \
    PWLIB_BUILD=1 \
    opt addpasswd


pushd %objdir
    mv gnugk gnugk-pgsql
    mv addpasswd addpasswd-pgsql
popd

%__make doc

%install
%__install -d %buildroot%_sysconfdir/{rc.d/init.d,logrotate.d,sysconfig} \
	      %buildroot%_sbindir \
	      %buildroot%_libdir \
	      %buildroot/var/log/%name \
	      %buildroot/var/run/%name

%__install -p -m 0755 %objdir/gnugk-nosql %buildroot%_sbindir
%__install -p -m 0755 %objdir/addpasswd-nosql %buildroot%_sbindir
%__install -p -m 0755 %objdir/gnugk-mysql %buildroot%_sbindir
%__install -p -m 0755 %objdir/addpasswd-mysql %buildroot%_sbindir
%__install -p -m 0755 %objdir/gnugk-pgsql %buildroot%_sbindir
%__install -p -m 0755 %objdir/addpasswd-pgsql %buildroot%_sbindir
%__install -p -m 0755 %SOURCE6 %buildroot%_sbindir
%__install -m 0600 etc/complete.ini %buildroot%_sysconfdir/%name.ini
%__install -m 0644 %pwlibdir/lib/*.so.1.* %buildroot%_libdir
%__install -m 0644 %openh323dir/*.so.1.* %buildroot%_libdir
%__install -m 0755 %SOURCE2 %buildroot%_initdir/%name
%__install -m 0644 %SOURCE1 %buildroot%_sysconfdir/logrotate.d/%name
%__install -m 0644 %SOURCE3 %buildroot%_sysconfdir/sysconfig/%name

%__mkdir_p %buildroot%_altdir
cat <<EOF >%buildroot%_altdir/%name-nosql
%_sbindir/%name      %_sbindir/%name-nosql 30
%_sbindir/addpasswd  %_sbindir/addpasswd-nosql   %_sbindir/%name-nosql
EOF

cat <<EOF >%buildroot%_altdir/%name-mysql
%_sbindir/%name      %_sbindir/%name-mysql 10
%_sbindir/addpasswd  %_sbindir/addpasswd-mysql   %_sbindir/%name-mysql
EOF

cat <<EOF >%buildroot%_altdir/%name-pgsql
%_sbindir/%name      %_sbindir/%name-pgsql 20
%_sbindir/addpasswd  %_sbindir/addpasswd-pgsql   %_sbindir/%name-pgsql
EOF

%pre
%_sbindir/useradd -c "The GNU Gatekeeper" -d /dev/null \
  -s /dev/null -r %name 2> /dev/null || :
%_sbindir/groupadd -rf %name
  
%post nosql
%register_alternatives %name-nosql -- %name
%preun nosql
%unregister_alternatives %name

%post mysql
%register_alternatives %name-mysql -- %name
%postun mysql
%unregister_alternatives %name

%post pgsql
%register_alternatives %name-pgsql -- %name
%postun pgsql
%unregister_alternatives %name

%files
%config(noreplace) %attr(0640,root,%name) %_sysconfdir/%name.ini
%config(noreplace) %attr(0600,root,root) %_sysconfdir/sysconfig/*
%config(noreplace) %_sysconfdir/logrotate.d/%name
%config %_initdir/%name
%_libdir/*
%_sbindir/%name.sh
%attr(0755,%name,root) %dir /var/log/%name
%attr(0755,%name,root) %dir /var/run/%name
%doc docs/copying

%files nosql
%_altdir/*-nosql
%_sbindir/*-nosql

%files mysql
%_altdir/*-mysql
%_sbindir/*-mysql

%files pgsql
%_altdir/*-pgsql
%_sbindir/*-pgsql

%files doc
%doc docs/gnugk.1 docs/keepalive.txt docs/known_bugs.txt docs/performance.txt docs/radauth.txt docs/trace_levels.txt etc contrib

%changelog
* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.4-alt1.1.0.1.1
- Automated rebuild due to libssl.so.6 -> libssl.so.7 soname change.

* Fri Oct 05 2007 Kirill A. Shutemov <kas@altlinux.ru> 2.2.4-alt1.1.0.1
- NMU
- Do not include linux/compiler.h: no longer necessary for build.

* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.4-alt1.1.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.4-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sun Jul 02 2006 Alexei Takaseev <taf@altlinux.ru> 2.2.4-alt1
- 2.2.4

* Sun Mar 26 2006 Alexei Takaseev <taf@altlinux.ru> 2.2.3-alt4
- Fix x86_64 build
- split documentation to standalone package

* Wed Oct 26 2005 Alexei Takaseev <taf@altlinux.ru> 2.2.3-alt3
- Fix permission to /etc/gnugk.ini (#8340)

* Mon Sep 05 2005 Alexei Takaseev <taf@altlinux.ru> 2.2.3-alt2
- 2.2.3-2

* Fri Aug 19 2005 Alexei Takaseev <taf@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Mon Jun 13 2005 Alexei Takaseev <taf@altlinux.ru> 2.2.2-alt2
- Add pwlib and openH323 to package (delete conflitc with system libs)

* Wed May 18 2005 Alexei Takaseev <taf@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Sat Jan 08 2005 Alexei Takaseev <taf@altlinux.ru> 2.2.0-alt1
- first build for ALT
